problems with compiling WPS 3.4.1.

Installing the WRF Preprocessing System

problems with compiling WPS 3.4.1.

Postby jwsmith9 » Wed Jul 17, 2013 1:05 pm

Good morning:
I want to compile WPS v3.4.1. I have compiled WRF v3.4.1.
I have my resource file set below. With the exception of export SFC = /usr/bin, I have the same settings as used to compile WRF. I know that it is recommended that I use the same compiler to build both WRF and the pre-processing software.

# .bash_profile
# Get the aliases and functions
#if [ -f ~/.bashrc ]; then . ~/.bashrc
#fi export PATH=$PATH:/usr/lib64/openmpi/bin
export PATH=$PATH:/usr/bin export
export SFC=/usr/bin
# User specific environment and startup programs
#export FC=/usr/bin/gfortran
export NETCDF=/data/starfs1/libs/netcdf-4.1.3
export NETCDF_LIB=/data/starfs1/libs/netcdf-4.1.3/lib
export NETCDF_INC=/data/starfs1/libs/netcdf-4.1.3/include
#export NETCDF=/data/starfs1/libs/netcdf-3.6.3
#export NETCDF_LIB=/data/starfs1/libs/netcdf-3.6.3/lib
#export NETCDF_INC=/data/starfs1/libs/netcdf-3.6.3/include
export JASPERINC=/usr/include/jasper
export JASPERLIB=/usr/lib64
export ZLIB=/usr/lib64
export HDF4=/data/starfs1/libs/hdf-4.2.6
export MP_STACK_SIZE=640000000
export WRFIO_NCD_LARGE_FILE_SUPPORT=1
export WRF_EM_CORE=1
export WRF_CHEM=1
export WRF_KPP=0
export WRF_NMM_CORE=0

For WPS I chose the option 3 during configure: 3. Linux x86_64, gfortran (dmpar).

For WRF I chose option 25 during configure: 25. x86_64 Linux, gfortran compiler with gcc (dmpar)

However, when choosing WPS option 3 above: I get errors as you see in the attached log file.

Any suggestions on how to get this pre-processing software installed? I have made at least 20 attempts to get WPS working and have not been successful?

Thanks
Jonathan
jwsmith9
 
Posts: 7
Joined: Tue Jun 19, 2012 12:19 pm

Return to Installation

Who is online

Users browsing this forum: No registered users and 1 guest